function saveinfo(VAR)
if nargin<1
    VAR= 'startup';
end 
switch VAR
    case 'startup'
        handle = ERP_tool;
        backcolor = get(handle,'Color');
        toolposition = get(handle,'Position');

        %% ҳ
        fig = figure(...
        'Units','points',...
        'position',[toolposition(1)+toolposition(3)+5,toolposition(2)+toolposition(4)-100,200,100],...
        'name','Save information',...
        'numbertitle','off',...
        'menubar','none',...
        'color',backcolor);
        %% 
        name = uicontrol(...
        'fontsize',13,...
        'units','points',...
        'style','text',...
        'string','ļ',...
        'position',[10,59,40,20],...
        'BackgroundColor',backcolor);
        %% 
        edit=uicontrol('units','points',...
        'style','edit',...
        'string','',...
        'position',[60,60,120,20],...
        'BackgroundColor','white');
        %% ȷ
        button = uicontrol(...
        'units','points',...
        'fontsize',10,...
        'style','pushbutton',...
        'string','ȷ',...
        'position',[70,20,60,20],...
        'Callback','saveinfo(''set'')');
        set(handle,'UserData',[fig,edit]);
    case 'set'
        handle = ERP_tool;
        H=guidata(handle);
        point = get(handle,'UserData');
        set(handle,'UserData',[]);
        fig = point(1);
        edit= point(2);
        infofile.filetype = get(H.popupmenu1,'Value');
        infofile.path = get(H.edit1,'String');
        infofile.elepath = get(H.edit6,'String');
        infofile.rate    = get(H.edit7,'String');
        infofile.time    = get(H.edit8,'String');
        infofile.people  = get(H.edit2,'String');
        infofile.type    = get(H.edit3,'String');
        name = get(edit,'String');
        if iscell(name)
            name=name{1};
        end
        path = [pwd,'\teminfo\',name];
        save(path,'infofile');
        close(fig);
    otherwise
end