function data = readavgdata(path,people,type,handles)
%% 
set(handles,'String','');
peoplenum = length(people);
typenum   = length(type);
for i = 1:peoplenum
    for j = 1:typenum
        filename = eval(changepath(path));
        try
            data{i,j} = loadavgfile(filename);
            size(data{i,j});
            INFO = get(handles,'String');
            INFO{length(INFO)+1} = ['ɹ',filename];
            set(handles,'String',INFO);
            drawnow
        catch
            INFO = get(handles,'String');
            INFO{length(INFO)+1} = [filename,'ļ'];
            set(handles,'String',INFO);
            drawnow
        end
    end
end
            

%% AVG
if ~isempty(data)
[full,empty] = checkAVGdata(data);
INFO = get(handles,'String');
INFO{length(INFO)+1} = ['ܹ',num2str(full+empty),'ݣ',num2str(empty),'ǿ'];
INFO{length(INFO)+1} = [''];
set(handles,'String',INFO);
drawnow
end

%% ƽ
for j = 1:typenum
    for i = 1:peoplenum
        A(:,:,i) = data{i,j};
    end
    data{peoplenum+1,j} = mean(A,3);
end
 

function [full,empty] = checkAVGdata(AVGdata)
full  = 0;
empty = 0;
for i = 1:size(AVGdata,1)
    for j = 1:size(AVGdata,2)
        full  = full + (~isempty(AVGdata{i,j}));
        empty = empty + isempty(AVGdata{i,j});
    end
end